请选择 进入手机版 | 继续访问电脑版

『瀚思彼岸』» 智能家居第一站

 找回密码
 立即注册
查看: 72|回复: 1

[已解决] 更新到最新版Frontend报错怎么破

[复制链接]

8

主题

154

帖子

1223

积分

金牌会员

Rank: 6Rank: 6

积分
1223
金钱
1069
HASS币
0
发表于 2019-3-14 21:58:48 | 显示全部楼层 |阅读模式
本帖最后由 PAUL 于 2019-3-16 08:30 编辑

错误日志如下:
2019-03-14 21:46:38 WARNING (MainThread) [homeassistant.loader] You are using a custom component for dlna which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2019-03-14 21:46:40 WARNING (MainThread) [homeassistant.loader] You are using a custom component for hello_miai which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2019-03-14 21:54:55 ERROR (SyncWorker_13) [homeassistant.util.package] Unable to install package home-assistant-frontend==20190305.1: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ProtocolError('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))': /packages/bc/99/d91230141eb6838f9daa18e04bcbc206a40c8c14bb2edde7f75ba264f4b5/home-assistant-frontend-20190305.1.tar.gz
Exception:
Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 360, in _error_catcher
    yield
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 442, in read
    data = self._fp.read(amt)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_vendor/cachecontrol/filewrapper.py", line 62, in read
    data = self.__fp.read(amt)
  File "/usr/lib/python3.6/http/client.py", line 449, in read
    n = self.readinto(b)
  File "/usr/lib/python3.6/http/client.py", line 493, in readinto
    n = self.fp.readinto(b)
  File "/usr/lib/python3.6/socket.py", line 586, in readinto
    return self._sock.recv_into(b)
  File "/usr/lib/python3.6/ssl.py", line 1012, in recv_into
    return self.read(nbytes, buffer)
  File "/usr/lib/python3.6/ssl.py", line 874, in read
    return self._sslobj.read(len, buffer)
  File "/usr/lib/python3.6/ssl.py", line 631, in read
    v = self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/cli/base_command.py", line 179, in main
    status = self.run(options, args)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/commands/install.py", line 315, in run
    resolver.resolve(requirement_set)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/resolve.py", line 131, in resolve
    self._resolve_one(requirement_set, req)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/resolve.py", line 294, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/resolve.py", line 242, in _get_abstract_dist_for
    self.require_hashes
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/operations/prepare.py", line 334, in prepare_linked_requirement
    progress_bar=self.progress_bar
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/download.py", line 878, in unpack_url
    progress_bar=progress_bar
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/download.py", line 702, in unpack_http_url
    progress_bar)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/download.py", line 946, in _download_http_url
    _download_url(resp, link, content_file, hashes, progress_bar)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/download.py", line 639, in _download_url
    hashes.check_against_chunks(downloaded_chunks)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/utils/hashes.py", line 62, in check_against_chunks
    for chunk in chunks:
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/download.py", line 607, in written_chunks
    for chunk in chunks:
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_internal/download.py", line 596, in resp_read
    decode_content=False):
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 494, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 459, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "/usr/lib/python3.6/contextlib.py", line 99, in __exit__
    self.gen.throw(type, value, traceback)
  File "/srv/homeassistant/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 365, in _error_catcher
    raise ReadTimeoutError(self._pool, None, 'Read timed out.')
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.
2019-03-14 21:54:55 ERROR (MainThread) [homeassistant.requirements] Not initializing frontend because could not install requirement home-assistant-frontend==20190305.1
2019-03-14 21:54:55 ERROR (MainThread) [homeassistant.setup] Setup failed for frontend: Could not install all requirements.
2019-03-14 21:54:57 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of logbook. Setup failed for dependencies: frontend
2019-03-14 21:54:57 ERROR (MainThread) [homeassistant.setup] Setup failed for logbook: Could not set up all dependencies.
2019-03-14 21:54:57 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of panel_iframe. Setup failed for dependencies: frontend
2019-03-14 21:54:57 ERROR (MainThread) [homeassistant.setup] Setup failed for panel_iframe: Could not set up all dependencies.
2019-03-14 21:54:59 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of default_config. Setup failed for dependencies: frontend, logbook
2019-03-14 21:54:59 ERROR (MainThread) [homeassistant.setup] Setup failed for default_config: Could not set up all dependencies.
2019-03-14 21:55:08 ERROR (SyncWorker_18) [homeassistant.components.switch.broadlink] Failed to connect to device

现在打开网页处于404状态,感觉是frontend插件的问题,
各位大神该怎么办?更新解决方法
游客,如果您要查看本帖隐藏内容请回复


回复

使用道具 举报

2

主题

485

帖子

1954

积分

金牌会员

Rank: 6Rank: 6

积分
1954
金钱
1469
HASS币
85
发表于 2019-3-15 14:09:32 | 显示全部楼层
手動升級home-assistant-frontend
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|Hassbian

GMT+8, 2019-3-26 02:08 , Processed in 0.489515 second(s), 27 queries .

Powered by Discuz! X3.3

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表